Timeline


and

Feb 18, 2017:

11:40 AM Changeset [1005] by ydario
spec: rpm: Release version 4.13.0-10.
12:57 AM Changeset [1004] by dmik
rpm: Change REXX script extensions to .cmd. This fixes local installs …

Feb 17, 2017:

6:46 PM Changeset [1003] by ydario
spec: python, force db4 minimal version (libcx req).
2:53 PM Changeset [1002] by diver
spec: libtiff: Release version 4.0.7-3.
2:46 PM Ticket #236 (uploading to a repo) created by diver
with the recent addition of the automatic legacy_packages creation we …
2:22 PM Changeset [1001] by diver
spec: poppler: Release version 0.52.0-1.

Feb 16, 2017:

11:41 PM Changeset [1000] by dmik
rpm: Make sure find-legacy-runtime.sh is installed.
11:02 PM Changeset [999] by dmik
rpm: Remove urpo usage, it's not needed any more. They now close the …

Feb 15, 2017:

11:58 PM Changeset [998] by dmik
rpm: Tag version 4.13.0 from vendor.
11:57 PM Changeset [997] by dmik
rpm: Import version 4.13.0 from vendor. Source URL: …
11:09 PM Changeset [996] by dmik
rpm: Remove unnecessary mkinstalldirs reference. This file is no …
12:22 PM Changeset [995] by diver
rpmbuild-bot: include more legacy packages in rpmbuild-bot-env.sh
11:06 AM Changeset [994] by diver
spec: poppler: Release version 0.51.0-1.

Feb 14, 2017:

11:18 PM Changeset [993] by dmik
rpm: Support drive letter in top source dir detection in po.m4.
11:09 PM Changeset [992] by dmik
rpm: Ignore generated files.
10:50 PM Changeset [991] by dmik
rpm: Remove generated files.
8:28 PM Changeset [990] by dmik
rpmbuild-bot: Revert unneeded r989.
6:31 PM Changeset [989] by dmik
rpmbuild-bot: Addition to r988.
4:47 PM Changeset [988] by dmik
rpmbuild-bot: Fix multiple legacy versions processing.
1:13 PM Changeset [987] by dmik
rpm: A better version of r983.
12:02 PM Changeset [986] by diver
spec: xz: Release version 5.2.3-2.
11:51 AM Changeset [985] by diver
spec: libtiff: Release version 4.0.7-2.

Feb 13, 2017:

9:27 PM Changeset [984] by dmik
rpm: find-legacy-runtime.sh: Use .L suffix for better upgrades. This …
6:40 PM Changeset [983] by ydario
rpm: add _pkgdocdir for better compatibility with Fedora spec files.
11:22 AM Ticket #191 (python subprocess.Popen()) closed by diver
invalid: ok this is clearly not a python issue. it's an issue of the called …

Feb 12, 2017:

1:16 PM Changeset [982] by diver
spec: splix: Release version 2.0.0-1.

Feb 11, 2017:

11:17 PM Changeset [981] by diver
spec: dos2unix: Release version 7.3.4-1.
10:36 PM Ticket #235 (os2-base: Add TMPDIR to CONFIG.SYS) created by lewisr
Considering how many things need %TMPDIR%, we should add this and …

Feb 10, 2017:

5:03 PM Changeset [980] by ydario
spec: python, link with libcx for memory mapping support.
4:29 PM Changeset [979] by ydario
spec: rpm, build update for ticket#227.
10:29 AM Ticket #227 (klusrmgr: Need scriptlet to run upon uninstall to remove WPS objects) closed by diver
fixed: this is fixed in r978. and as we suspected not a spec issue of …
10:26 AM Ticket #228 (rpm: Add legacy runtime packages support) closed by diver
fixed
10:26 AM Ticket #230 (rpm: Make brp-strip.os2 always create debugfiles.list in top build ...) closed by diver
fixed
10:26 AM Ticket #232 (rpm: Auto setup macros for SCM-hosted sources) closed by diver
fixed
10:26 AM Ticket #201 (rpmbuild) closed by diver
fixed

Feb 9, 2017:

9:04 PM Changeset [978] by dmik
rpm: wps-object.cmd: Fix object deletion (wrong hash map indexing).
7:22 PM Ticket #234 (rpmbuild-bot: Add auto cleanup of old packages) created by dmik
We should purge old packages as new ones get released — this is to …
7:10 PM Ticket #233 (rpmbuild-bot: Add commit command) created by dmik
The common build cycle is rpmbuild-bot PACKAGE test followed by …
5:56 PM Changeset [977] by ydario
python: add cx to list of std libs, improve search filter for import libs.
4:40 PM Changeset [976] by ydario
spec: rpm, build updates for ticket#201,​228,​230,​232.

Feb 8, 2017:

10:25 PM Changeset [975] by diver
spec: xz: remove old forwarders, as those where not 100% abi compatible
10:25 PM Changeset [974] by diver
spec: xz: Release version 5.2.3-1.
8:05 PM Changeset [973] by diver
spec: grep: Release version 2.28-1.
6:41 PM Changeset [972] by dmik
rpm: find-legacy-runtime.sh: Remove forgotten test code.
6:40 PM Changeset [971] by ydario
python: remove pyconfig.h.in from ignore list.
6:35 PM Changeset [970] by ydario
spec: db4, build updates for libcx.
6:28 PM Changeset [969] by dmik
rpm: Improve error handling in SCM auto setup macros. Now rpmbuild …
5:47 PM Changeset [968] by diver
spec: wget: Release version 1.18-3.
5:26 PM Changeset [967] by diver
spec: libtiff: Release version 4.0.7-1.
4:37 PM Changeset [966] by diver
spec: libpng: Release version 1.6.28-1.
3:10 PM Changeset [965] by diver
spec: libpng: Release version 1.6.28-1.
2:57 PM Changeset [964] by diver
spec: libpng: Release version 1.6.28-1.
2:34 PM Changeset [963] by diver
spec: libpng: Release version 1.6.28-1.
1:40 PM Changeset [962] by dmik
rpmbuild-bot: Accept simple Enter prress before showing a .spec diff.
1:36 PM Changeset [961] by dmik
spec: which: Release version 1.0-2.
1:15 PM Changeset [960] by diver
spec: wget: Release version 1.18-3.
10:23 AM Changeset [959] by dmik
rpmbuild-bot: Store version number with dist mark for legacy packages. …
9:58 AM Changeset [958] by ydario
rpm: auto setup macros for SCM-hosted sources. ticket#232.
9:22 AM Changeset [957] by ydario
rpm: auto setup macros for SCM-hosted sources. ticket#232.
9:16 AM Changeset [956] by ydario
rpm: add legacy runtime packages support. ticket#228.

Feb 7, 2017:

11:28 PM RpmHowToPackagers edited by dmik
(diff)
10:12 PM RpmHowToPackagers edited by dmik
(diff)
10:10 PM RpmHowToPackagers edited by dmik
(diff)
10:09 PM RpmHowToPackagers edited by dmik
(diff)
10:08 PM RpmHowToPackagers edited by dmik
(diff)
10:06 PM RpmHowToPackagers edited by dmik
Add info about %legacy_runtime_packages side effect (diff)
9:14 PM Ticket #231 (libvpx-1.61-1 conflicts with FFmpeg) closed by dmik
invalid: So this explains why it failed for you — libvpx-legacy-2 (that …
6:58 PM Ticket #232 (rpm: Auto setup macros for SCM-hosted sources) created by dmik
Many our .spec files take sources right from SVN or GIT via a special …
5:33 PM Changeset [955] by herwigb
spec: wpi4rpm: Release version 0.9.5-1.
5:24 PM Changeset [954] by ydario
rpm: make brp-strip.os2 always create debugfiles.list in top build …
5:20 PM Ticket #229 (rpm: Make brp-compress work on OS/2) closed by ydario
invalid
5:15 PM Changeset [953] by ydario
rpm: add legacy runtime packages support. ticket#228.
5:04 PM Changeset [952] by ydario
rpm: remove typo.
5:04 PM Changeset [951] by ydario
rpm: replace $RPM_BUILD_NCPUS macro with a better version. fixes …
4:53 AM Ticket #231 (libvpx-1.61-1 conflicts with FFmpeg) created by dryeo
Attempting to update to libvpx-1.61-1.oc00 (i686) results in this …

Feb 4, 2017:

5:46 PM RpmHowToPackagers edited by dmik
Generating legacy runtime packages (diff)
4:42 PM Ticket #230 (rpm: Make brp-strip.os2 always create debugfiles.list in top build ...) created by dmik
Now, if the %install section of a .spec changes to some dir which is …
4:10 PM Ticket #229 (rpm: Make brp-compress work on OS/2) created by dmik
This script is to compress man files to gz archives (this …
4:01 PM Ticket #166 (coexisting packages / legacy packages) closed by dmik
duplicate: This was actually done within #228 in a nice and fully automatic way …

Feb 3, 2017:

8:43 PM RpmHowToPackagers edited by dmik
(diff)
8:16 PM Changeset [950] by dmik
spec: libvpx: Release version 1.6.1-1.
8:12 PM Changeset [949] by dmik
rpmbuild-bot: Add support for automatic generation of legacy runtime …
7:06 PM Ticket #228 (rpm: Add legacy runtime packages support) created by dmik
Many dynamic libraries use versioning in DLL names to express …
4:04 PM Changeset [948] by diver
spec: cpio: Release version 2.12-1.
12:16 PM RpmHowToPackagers edited by dmik
(diff)
11:54 AM RpmHowToPackagers edited by dmik
(diff)
11:18 AM RpmHowToPackagers edited by dmik
(diff)
11:17 AM RpmHowToPackagers edited by dmik
(diff)
11:09 AM RpmHowToPackagers edited by dmik
(diff)
10:39 AM RpmHowToPackagers edited by dmik
Add Creating doc packages (diff)
4:31 AM Ticket #227 (klusrmgr: Need scriptlet to run upon uninstall to remove WPS objects) created by lewisr
When uninstalling klusrmgr, the folder is left on the desktop with the …

Feb 2, 2017:

11:21 PM Changeset [947] by dmik
spec: libvpx: Release version 1.4.0-2.
11:57 AM Changeset [946] by herwigb
spec: wpi4rpm: Release version 0.9.4-1.

Jan 30, 2017:

5:38 PM Changeset [945] by herwigb
spec: os2-base: Release version 0.0.0-14.
8:16 AM Ticket #226 (wpi4rpm needs better error handling for commandline options) closed by herwigb
fixed: wpi4rpm 0.9.3 received an errorhandler (in order not to choke on …
8:12 AM Changeset [944] by herwigb
spec: wpi4rpm: Release version 0.9.3-1.
2:21 AM Ticket #226 (wpi4rpm needs better error handling for commandline options) created by lewisr
This discovery was quite by accident. I wanted to get a reminder of …

Jan 28, 2017:

5:05 PM Ticket #224 (Project URL needs correcting in wpi4rpm SPEC) closed by herwigb
fixed
5:01 PM Ticket #225 (wpi4rpm needs to allow specifying of vendor and package) closed by herwigb
fixed: Support for vendor and package was added in version 0.9.2 Note: The …
4:58 PM RpmHowToPackagers edited by herwigb
Add changes of wpi4rpm 0.9.2 (diff)
4:55 PM Changeset [943] by herwigb
spec: wpi4rpm: Release version 0.9.2-2.
4:50 PM Changeset [942] by herwigb
spec: wpi4rpm: Release version 0.9.2-1.
4:49 PM Changeset [941] by herwigb
spec: klusrmgr: Release version 1.1.0-2.
6:36 AM Ticket #225 (wpi4rpm needs to allow specifying of vendor and package) created by lewisr
wpi4rpm is a great start! Currently (0.9.1), all db entries are in …

Jan 27, 2017:

7:15 PM Changeset [940] by diver
spec: doxygen: Release version 1.8.13-2.
7:11 PM Ticket #224 (Project URL needs correcting in wpi4rpm SPEC) created by lewisr
Project URL in SPEC reads: http://www.netlabs.org/vxapps Should …
6:21 PM Changeset [939] by diver
spec: coreutils: Release version 8.26-1.
6:06 PM Ticket #220 (Provide virtual WPI to satisfy dependencies (uclip)) closed by herwigb
fixed
6:03 PM RpmHowToPackagers edited by herwigb
Add Requires woi4rpm (diff)
5:56 PM Ticket #211 (kLIBCum: do not include VROBJEX) closed by herwigb
fixed: kLIBCum has been renamed to klUsrMgr. During that process the …
5:52 PM RpmHowToPackagers edited by herwigb
Add paragraph for wpi4rpm (diff)
5:14 PM Changeset [938] by herwigb
Add wpi4rpm and klusrmgr
2:34 PM Ticket #83 (The base64.exe tool from coreutils RPM package is broken: base64 ...) closed by diver
fixed: fixed in http://trac.netlabs.org/ports/changeset/1950
1:31 PM Ticket #87 (The ash RPM package doesn't actually contain any ash) closed by diver
fixed: this is done since ash rpm 0.0.1-1. almost 2 years ago
1:00 PM Ticket #221 (Add yum-plugin-replace to available yum plugins) closed by diver
fixed: it's in exp repo. have fun with it
1:00 PM Changeset [937] by diver
spec: yum-plugin-replace: Release version 0.2.7-1.
11:27 AM Changeset [936] by diver
spec: cmake: Release version 3.7.0-2.

Jan 26, 2017:

5:05 PM Changeset [935] by herwigb
spec: klusrmgr: Release version 1.1.0-1.
4:56 PM Changeset [934] by herwigb
Add renamed klibcum -> klusrmgr.
3:28 PM Ticket #223 (French manual page for RPM uses wrong encoding) created by ak120
the file \usr\share\man\fr\man8\rpm.8 that belongs to …
12:04 PM Ticket #222 (libtool packaging and dependencies) closed by dmik
invalid: The reason why it is so is because libtool is in fact a devel package …
10:37 AM Ticket #222 (libtool packaging and dependencies) created by ak120
It's not possible to install only libtool runtime. By launching "yum …

Jan 25, 2017:

10:59 AM Changeset [933] by diver
spec: zlib: Release version 1.2.11-1.

Jan 21, 2017:

8:05 AM Ticket #221 (Add yum-plugin-replace to available yum plugins) created by lewisr
yum-plugin-replace provides for swapping conflicting packages, either …
7:55 AM Ticket #220 (Provide virtual WPI to satisfy dependencies (uclip)) created by lewisr
As discussed, uclip is currently available as WPI and as RPM. …

Jan 20, 2017:

12:36 PM Ticket #219 (YUM fails after update to Libcx 0.4.1) created by David McKenna
After updating libcx to 0.4.1 (using ANPM), YUM often (but not always) …

Jan 19, 2017:

7:15 PM Changeset [932] by diver
spec: doxygen: Release version 1.8.13-1.
4:49 PM Changeset [931] by herwigb
spec: unzip: Release version 6.0-6.
10:38 AM Changeset [930] by diver
spec: doxygen: Release version 1.8.12-1.

Jan 18, 2017:

9:56 PM Changeset [929] by dmik
spec: libcx: Release version 0.4.1-1.
6:54 PM Changeset [928] by tellie
spec: jhead: Release version 3.00-1.
6:40 PM Changeset [927] by tellie
spec: jhead: Release version 3.00-1.
5:08 PM Changeset [926] by diver
spec: cmake: Release version 3.7.0-1.

Jan 14, 2017:

1:16 AM Changeset [925] by diver
spec: ncftp: Release version 3.2.6-2.
1:05 AM Changeset [924] by diver
spec: ncurses: Release version 5.9-1.
12:28 AM Ticket #217 (Ncftp v3.2.6 Bookmarks) closed by diver
fixed: fixed with ncurses 5.9. to have it working it needs the new ncurses …

Jan 10, 2017:

12:46 PM Ticket #218 (Ncftp v3.2.6 Case sensitivity.) closed by diver
fixed: should be fixed with ​http://trac.netlabs.org/ports/changeset/1906

Jan 9, 2017:

4:55 PM Ticket #216 (Ncftp v3.2.6 Lpage) closed by diver
fixed: fixed in http://trac.netlabs.org/ports/changeset/1904 if ncftp was …

Jan 5, 2017:

7:16 PM Ticket #213 (Ncftp v3.2.6) closed by Tellie
invalid: This is not a correct Ticket recreated new onces so i closed this…
7:14 PM Ticket #218 (Ncftp v3.2.6 Case sensitivity.) created by Tellie
Case sensitivity. Here's an example: ncftp /eCoRT/Base > cd ../ …
7:12 PM Ticket #217 (Ncftp v3.2.6 Bookmarks) created by Tellie
Bookmarks is not working atm
7:10 PM Ticket #216 (Ncftp v3.2.6 Lpage) created by Tellie
This don't work atm: Lpage don't work

Jan 3, 2017:

8:33 AM Ticket #215 (git am no longer works) created by dryeo
Attempting to import a patch with git am 0001-foo.patch or git am < …
7:25 AM Ticket #214 (Consider installing OMF type import libs along side aout style ones.) created by dryeo
I've updated Doodles ScreenSaver? so the cairo based modules are linked …

Jan 2, 2017:

12:15 PM Ticket #213 (Ncftp v3.2.6) created by Tellie
This is not function right for this build from Ncftp v3.2.6 A: Can't …
12:05 PM Changeset [923] by tellie
spec: ncftp: Release version 3.2.6-1.

Dec 23, 2016:

1:18 PM Ticket #212 ((CUPS) lpinfo -m returns error) closed by diver
invalid
9:47 AM Ticket #209 (wget: preun scriptlet fails when updating from 1.18-1 to 1.18-2) closed by diver
invalid: no feedback and not reproducable. Feel free to reopen, of it's …

Dec 20, 2016:

2:28 PM Ticket #212 ((CUPS) lpinfo -m returns error) created by ataylor
The CUPS command \usr\sbin\lpinfo -m is used (by CUPSWIZ, for …

Dec 13, 2016:

7:38 PM Changeset [922] by diver
spec: cmake preview version
1:17 PM Changeset [921] by dmik
spec: git: Release version 2.11.0-1.

Dec 12, 2016:

10:38 AM Ticket #158 (Build bootstrap WPI files for i686 and p4 arch) closed by diver
no change needed: as we recommend ANPM to all new yum/rpm users, we will not provide any …

Dec 9, 2016:

5:51 PM Changeset [920] by diver
spec: pkgconfig: Release version 0.29.1-4.
4:37 PM Ticket #211 (kLIBCum: do not include VROBJEX) created by lewisr
VROBJEX is included/installed by ANPM to \%OS%\DLL. kLIBCum includes …
8:20 AM Ticket #210 (Move libjpeg 8d to stable repo (needed by poppler 0.49.0)) closed by diver
fixed: done
12:46 AM Ticket #210 (Move libjpeg 8d to stable repo (needed by poppler 0.49.0)) created by lewisr
jpeg8.dll >= 8d is needed by poppler 0.49.0, which is now in the …

Dec 6, 2016:

8:42 AM Changeset [919] by diver
spec: coreutils: Release version 8.25-4.

Dec 2, 2016:

10:01 PM Ticket #209 (wget: preun scriptlet fails when updating from 1.18-1 to 1.18-2) created by lewisr
Had 1.18-1 installed. Selected 1.18-2 for update. 1.18-2 installs, but …
7:24 AM Ticket #208 (kLIBCum button label issue) closed by herwigb
invalid: This kLIBCum Ticket belongs …
12:06 AM Ticket #208 (kLIBCum button label issue) created by David McKenna
In the latest kLIBCum release (1.0.10), the buttons on the 'Groups' …

Dec 1, 2016:

4:32 PM Changeset [918] by diver
spec: poppler: Release version 0.49.0-2.

Nov 30, 2016:

9:23 AM Changeset [917] by diver
spec: xz: update the forwarder part, only the spec is changed, as we …
9:21 AM Changeset [916] by diver
spec: libxslt: Release version 1.1.29-2.
9:13 AM Changeset [915] by diver
spec: libxml2: Release version 2.9.4-2.
8:57 AM Changeset [914] by diver
spec: libjpeg: Release version 8d-2.
12:13 AM Changeset [913] by ydario
spec: clamav: Release version 0.99.2-2.

Nov 28, 2016:

11:18 PM Changeset [912] by ydario
spec: clamav: Release version 0.99.2-1.
8:26 PM Changeset [911] by dmik
spec: libtool: Release version 2.4.6-3.
6:00 PM Changeset [910] by diver
spec: python-lxml: Release version 3.6.4-2.
12:22 PM Changeset [909] by diver
spec: libxslt: Release version 1.1.29-1.
12:02 PM Changeset [908] by diver
spec: libxml2-python: ren to legacy and add a comment
12:02 PM Changeset [907] by diver
spec: libxml2-python: ren to legacy and add a comment
11:50 AM Ticket #197 (libxml2-python 2.7.7-6 lacks symlink for libxml2mod.pyd) closed by diver
fixed: latest libxml2 from exp repo fixes this. r905
12:55 AM Changeset [906] by dmik
spec: dash: Release version 0.5.9.1-1.

Nov 25, 2016:

4:29 PM Changeset [905] by diver
spec: libxml2: Release version 2.9.4-1.
3:28 PM Changeset [904] by diver
spec: fontconfig: Release version 2.12.1-2.
2:19 PM Changeset [903] by diver
spec: poppler: Release version 0.49.0-1.
1:06 PM Changeset [902] by diver
spec: xz: Release version 5.2.2-1.
10:39 AM Changeset [901] by diver
spec: wget: Release version 1.18-2.

Nov 24, 2016:

5:55 PM Changeset [900] by diver
spec: libidn: Release version 1.33-2.
5:35 PM Ticket #207 (Can't install PSL) closed by diver
fixed: this happens if one dev doesn't look to carefully what the other did. …
5:34 PM Changeset [899] by diver
spec: libpsl: Release version 0.15.0-2.
4:04 PM Ticket #207 (Can't install PSL) created by David McKenna
Using ANPM, PSL will not install and gives this error: [u'ERROR with …
1:45 PM Changeset [898] by diver
spec: libpsl: Release version 0.15.0-1.
1:38 PM Changeset [897] by diver
spec: libidn: Release version 1.33-1.

Nov 23, 2016:

10:40 PM Changeset [896] by dmik
spec: libcx: Release version 0.4-1.
Note: See TracTimeline for information about the timeline view.